.form-control-lg-light::-webkit-input-placeholder {
  color: var(--bs-project) !important;
}

.cal-dark {
  background-color: transparent;
  border-color: var(--bs-black);
  color: var(--bs-black);
  filter: invert(74%) sepia(33%) saturate(828%) hue-rotate(103deg) brightness(93%) contrast(93%) !important;
}

.background-light {
  background: var(--bs-light) !important;
}

.background-dark {
  background: var(--bs-project-dark) !important;
}

.bannerbottom-dark {
  background: linear-gradient(rgba(2,8,7,0) 80%, #020807 100%);
}

.bannerbottom-light {
  background: linear-gradient(#22222200 20%, #f8f9fc 100%);
}

.bg-dark {
  background-color: var(--bs-project-bg) !important;
}

.bg-light {
  background-color: var(--bs-project) !important;
}

.body-dark {
  background-color: var(--bs-project);
}

.body-light {
  background-color: var(--bs-project);
}

.bodydarklighttext-light {
  background-color: var(--bs-project);
  color: var(--bs-light);
}

.bodydarklighttext-dark {
  background-color: var(--bs-project);
  color: var(--bs-project-dark);
}

.btn-close-dark {
  filter: invert(67%) sepia(50%) saturate(575%) hue-rotate(106deg) brightness(98%) contrast(88%);
  box-shadow: none !important;
}

.btn-close-light {
  filter: invert(67%) sepia(50%) saturate(575%) hue-rotate(106deg) brightness(98%) contrast(88%);
  box-shadow: none !important;
}

.btn-main-dark {
  background-color: var(--bs-project-dark);
  border-color: var(--bs-project)!important;
  color: var(--bs-project) !important;
  --bs-btn-hover-bg: var(--bs-project);
  --bs-btn-hover-border-color: var(--bs-project);
  --bs-btn-focus-shadow-rgb: none;
  --bs-btn-active-border-color: var(--bs-project);
  --bs-btn-active-bg: var(--bs-project-trans)!important;
  --bs-btn-active-color: var(--bs-project-dark);
  --bs-btn-disabled-color: var(--bs-project-trans) !important;
  --bs-btn-disabled-border-color: var(--bs-project-trans);
  --bs-btn-disabled-bg: var(--bs-project-trans);
}

.btn-main-dark:focus {
  background-color: var(--bs-project-trans)!important;
  border-color: var(--bs-project-dark);
  color: var(--bs-project) !important;
}

.btn-main-dark.active {
  background-color: var(--bs-project-trans);
  border-color: var(--bs-project-dark);
  color: var(--bs-project) !important;
}

.btn-main-dark:hover {
  background-color: var(--bs-project-trans);
  border-color: var(--bs-project-dark);
  color: var(--bs-project) !important;
}

.btn-main-light {
  background-color: var(--bs-project-trans);
  border-color: var(--bs-project)!important;
  color: var(--bs-project)!important;
  --bs-btn-hover-bg: var(--bs-project);
  --bs-btn-hover-border-color: var(--bs-project-light);
  --bs-btn-focus-shadow-rgb: none;
  --bs-btn-active-border-color: var(--bs-project);
  --bs-btn-active-bg: var(--bs-project);
  --bs-btn-disabled-color: var(--bs-project-trans);
  --bs-btn-disabled-border-color: var(--bs-project-outline);
  --bs-btn-disabled-bg: var(--bs-project-trans);
}

.btn-main-light:focus {
  background-color: rgba(51,219,158,0.8);
  border-color: var(--bs-project);
  color: var(--bs-project-dark)!important;
}

.btn-main-light:hover {
  background-color: rgba(51,219,158,0.8);
  border-color: var(--bs-project);
  color: var(--bs-project-dark)!important;
}

.btn-main-light.active {
  background-color: rgba(51,219,158,0.8);
  border-color: var(--bs-project);
  color: var(--bs-light)!important;
}

.card-dark {
  background-color: transparent;
  border-color: var(--bs-project);
  color: var(--bs-project)!important;
}

.card-light {
  background-color: transparent;
  border-color: var(--bs-project);
  color: var(--bs-project);
}

.carousel-dark .carousel-caption {
  color: var(--bs-project);
}

.carousel-dark .carousel-control-prev-icon, .carousel-dark .carousel-control-next-icon {
  filter: invert(53%) sepia(50%) saturate(3683%) hue-rotate(168deg) brightness(103%) contrast(105%);
}

.carousel-dark .carousel-indicators [data-bs-target] {
  background-color: var(--bs-project);
}

.item-dark {
  color: var(--bs-project) !important;
}

.item-light {
  color: var(--bs-project-light) !important;
}

.navbar-dark {
  background-color: rgb(2,8,7) !important;
  box-shadow: 0 0rem 1rem rgb(0,0,0) !important;
  --bs-navbar-color: rgba(255, 255, 255, 0.55);
  --bs-navbar-hover-color: rgba(255, 255, 255, 0.75);
  --bs-navbar-disabled-color: rgba(255, 255, 255, 0.25);
  --bs-navbar-active-color: #fff;
  --bs-navbar-brand-color: #fff;
  --bs-navbar-brand-hover-color: #fff;
  --bs-navbar-toggler-border-color: rgba(255, 255, 255, 0.1);
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  background-color: #020807;
  box-shadow: 0 0rem 1rem rgb(0,0,0);
}

.navbar-light {
  /*background-color: rgb(255,255,255)!important;*/
  /*box-shadow: 0 0rem 1rem rgb(0,0,0);*/
}

.outline-dark {
  border-color: var(--bs-project) !important;
}

.outline-light {
  border-color: var(--bs-project) !important;
}

.textbox-dark {
  background-color: var(--bs-project-dark);
  border-color: var(--bs-project);
  border-width: 1px !important;
}

.textbox-light {
  background-color: var(--bs-project-dark);
  border-color: var(--bs-project);
  border-width: 1px !important;
}

.projecttxt-dark {
  color: var(--bs-project) !important;
}

.projecttxt-light {
  color: var(--bs-project-light) !important;
}

.form-check-input-dark:checked {
  background-color: var(--bs-project-dark);
  border-color: var(--bs-project);
}

.form-check-input-dark:focus {
  border-color: var(--bs-project-light);
  outline: 0;
  box-shadow: var(--bs-project);
}

.form-check-input-light:checked {
  background-color: var(--bs-project);
  border-color: var(--bs-project);
}

.form-check-input-light:focus {
  border-color: var(--bs-project-light);
  outline: 0;
  box-shadow: var(--bs-project);
}

.form-switch .form-check-input-light {
  width: 2em;
  margin-left: -2.5em;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
  background-position: left center;
  border-radius: 2em;
  transition: background-position .15s ease-in-out;
}

.form-switch .form-check-input-dark {
  width: 2em;
  margin-left: -2.5em;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
  background-position: left center;
  border-radius: 2em;
  transition: background-position .15s ease-in-out;
}

.form-switch .form-check-input-light:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
}

.form-switch .form-check-input-dark:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e");
}

